explain_fstatat_or_die(3)

NAME
explain_fstatat_or_die - get file status relative to a dir fd and report errors
    "get file status relative to a directory file descriptor and report errors"

SYNOPSIS
#include <libexplain/fstatat.h>

void explain_fstatat_or_die(int fildes, const char *pathname, struct stat *data, int flags);
int explain_fstatat_on_error(int fildes, const char *pathname, struct stat *data, int flags);

DESCRIPTION
The explain_fstatat_or_die function is used to call the fstatat(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_fstatat(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_fstatat_on_error function is used to call the fstatat(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_fstatat(3) function, but still returns to the caller.

fildes
    The fildes, exactly as to be passed to the fstatat(2) system call.

pathname
    The pathname, exactly as to be passed to the fstatat(2) system call.

data
    The data, exactly as to be passed to the fstatat(2) system call.

flags
    The flags, exactly as to be passed to the fstatat(2) system call.

RETURN VALUE
The explain_fstatat_or_die function only returns on success, see fstatat(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_fstatat_on_error function always returns the value return by the wrapped fstatat(2) system call.

EXAMPLE
The explain_fstatat_or_die function is intended to be used in a fashion similar to the following example:
    explain_fstatat_or_die(fildes, pathname, data, flags);

SEE ALSO

fstatat(2)
    get file status relative to a directory file descriptor

explain_fstatat(3)
    explain fstatat(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2013 Peter Miller